org.springframework.data.mapping.model

## Enum BeanWrapperPropertyAccessorFactory

- java.lang.Object
- - java.lang.Enum<BeanWrapperPropertyAccessorFactory>
  - - org.springframework.data.mapping.model.BeanWrapperPropertyAccessorFactory

All Implemented Interfaces:
  Serializable, Comparable<BeanWrapperPropertyAccessorFactory>, PersistentPropertyAccessorFactory

    public enum BeanWrapperPropertyAccessorFactory
    extends Enum<BeanWrapperPropertyAccessorFactory>
    implements PersistentPropertyAccessorFactory

PersistentPropertyAccessorFactory that uses a `BeanWrapper`.

Author:
  Oliver Gierke

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`<T> PersistentPropertyAccessor<T>` `getPropertyAccessor(PersistentEntity<?,?> entity, T bean)` Returns a `PersistentPropertyAccessor` for a given `PersistentEntity` and `bean`.
`boolean` `isSupported(PersistentEntity<?,?> entity)` Returns whether given `PersistentEntity` is supported by this `PersistentPropertyAccessorFactory`.
`static BeanWrapperPropertyAccessorFactory` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BeanWrapperPropertyAccessorFactory[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final BeanWrapperPropertyAccessorFactory INSTANCE

### Method Detail

#### values

    public static BeanWrapperPropertyAccessorFactory[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BeanWrapperPropertyAccessorFactory c : BeanWrapperPropertyAccessorFactory.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BeanWrapperPropertyAccessorFactory valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getPropertyAccessor

    public <T> PersistentPropertyAccessor<T> getPropertyAccessor(PersistentEntity<?,?> entity,
                                                                 T bean)

Description copied from interface: `PersistentPropertyAccessorFactory`
Returns a `PersistentPropertyAccessor` for a given `PersistentEntity` and `bean`.

Specified by:
  `getPropertyAccessor` in interface `PersistentPropertyAccessorFactory`
Parameters:
  `entity` - must not be null.
  `bean` - must not be null.
Returns:
  will never be null.

#### isSupported

    public boolean isSupported(PersistentEntity<?,?> entity)

Description copied from interface: `PersistentPropertyAccessorFactory`
Returns whether given `PersistentEntity` is supported by this `PersistentPropertyAccessorFactory`.

Specified by:
  `isSupported` in interface `PersistentPropertyAccessorFactory`
Parameters:
  `entity` - must not be null.
Returns: